import request from '@/utils/request'

// 查询软件著作权信息列表
export function listInformation(query) {
  return request({
    url: '/crmSoftwareCopyrightInformation/findByPage',
    method: 'get',
    params: query
  })
}

// 查询软件著作权信息详细
export function getInformation(id) {
  return request({
    url: '/crmSoftwareCopyrightInformation/information/' + id,
    method: 'get'
  })
}

// 新增软件著作权信息
export function addInformation(data) {
  return request({
    url: '/crmSoftwareCopyrightInformation/information',
    method: 'post',
    data: data
  })
}

// 修改软件著作权信息
export function updateInformation(data) {
  return request({
    url: '/crmSoftwareCopyrightInformation/information',
    method: 'put',
    data: data
  })
}

// 删除软件著作权信息
export function delInformation(id) {
  return request({
    url: '/crmSoftwareCopyrightInformation/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
  console.log(ids);
  return request.post('/crmSoftwareCopyrightInformation/delete',ids)
}

